Source: haskell-stm-chans
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
Build-Depends-Indep:
 ghc-doc,
Standards-Version: 4.5.0
Homepage: http://code.haskell.org/~wren/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-stm-chans
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-stm-chans]
X-Description: additional types of channels for STM
 Additional types of STM channels:
  * TBChan: a version of TChan where the queue is bounded in length
  * TBMChan: a version of TChan where the queue is bounded in length
    and closeable.
  * TBMQueue: a version of TQueue where the queue is bounded in length
    and closeable.
  * TMChan: a version of TChan where the queue is closeable. This is
    similar to a TChan (Maybe a) with a monotonicity guarantee that
    once there's a Nothing there will always be Nothing.
  * TMQueue: a version of TQueue where the queue is closeable. This is
    similar to a TQueue (Maybe a) with a monotonicity guarantee that
    once there's a Nothing there will always be Nothing.

Package: libghc-stm-chans-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-stm-chans-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-stm-chans-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
